<?php
$this->PageTitle = "Metas de Vendas &raquo; {$ano} &raquo; Definir Metas de Vendedores";

echo CHtml::label("Selecione o ano de exercício", 'selecionaAno');
echo CHtml::dropDownList(
    'ano',
    $ano,
    $model->anosDisponiveis,
    array('id' => 'selecionaAno', 'prompt' => 'Selecione')
);

$this->renderPartial('_form_vendedores', array(
    'metasVendas' => $model,
    'tipo' => $tipo,
    'revendas' => $revendas,
    'revenda' => $revenda,
    'ano' => $ano,

    'colHeaders' => $colHeaders,
    'rowHeaders' => $rowHeaders,
    'valoresMensalidade' => $valoresMensalidade,
    'valoresImplantacao' => $valoresImplantacao,
    'abaRevisao' => $abaRevisao,
    'configMetaVendedores' => $configMetaVendedores,
));

$cs = Yii::app()->getClientScript();

$cs->registerCssFile(FaHtml::getCssUrl('metas.css'));

$paramUnidade = "";
if (!empty($revenda)) {
    $paramUnidade = "revenda: {$revenda}";
}
$script = <<<JAVASCRIPT
    $(document).on('change', '#selecionaAno', function(event) {
        var url = createUrl('metasVendas/createVendedores', {
            ano: $(this).val(),
            {$paramUnidade}
        });
        window.location.replace(url);
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);
